Commit 6310f2f6 authored by tsanona's avatar tsanona
Browse files

update gdal to the newest version, unfix gdal version in env yaml, change...

update gdal to the newest version, unfix gdal version in env yaml, change import of gdal to osgeo.gdal, change other requirements in setup to osgeo.gdal to confirm gdal installation. Change version in tests to pass.
parent 01e26ed6
Pipeline #26213 passed with stages
in 15 minutes and 53 seconds
......@@ -14,7 +14,7 @@ import os
import collections
import re
import gdal
import osgeo.gdal as gdal
import numpy as np
import netCDF4 as nc4
from glob import glob
......
......@@ -6,7 +6,7 @@ dependencies:
- requests
- scikit-image
- proj
- gdal=3.1.0
- gdal
- ipython
- pip
- libssh2
......
......@@ -2,7 +2,7 @@ from setuptools import setup, find_packages
from importlib import util
requirements = ["proj", "numpy", "imageio", "scipy", "netCDF4", "requests", "scikit-image", "gdal"]
other_requirements = ["gdal"]
other_requirements = ["osgeo.gdal"]
test_requirements = requirements + ["coverage"]
# test for packages that do not install well with pip
......
......@@ -16,7 +16,7 @@ geo_ur = (12.737961, 53.238058)
start_date = "20170410"
end_date = "20170530"
bands = "B02_B05"
version = "0.13"
version = "0.15"
level = "L2A"
max_cloudy = "0.1"
minimum_fill = "1.0"
......@@ -86,11 +86,11 @@ class TestGts2Client(unittest.TestCase):
gts2_client.client(outpath=tmpdir,
out_prefix="krh",
out_mode=out_mode,
geo_ll=(12.559433, 53.036066),
geo_ur=(12.737961, 53.238058),
sensor="S2A",
geo_ll=geo_ll,
geo_ur=geo_ur,
sensor=sensor,
level=levels[ii],
version="0.13",
version=version,
bands="B04_B03_B02",
max_cloudy="0.2",
suffix="",
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment